Problème de compatibilité de Firefox 100.0.2

Je ne suis jamais parvenu à regarder Chère Léa sur le site de la Médiathèque numérique de l’Eure avec Firefox 100.0.2 sous Windows. J’ai cru tout d’abord qu’il s’agissait d’un problème d’extensions ou de paramétrage du navigateur. Après avoir tout désactivé en vain, j’ai installé, de guerre lasse, l’archive « ungoogled » de la dernière version Chromium sur ma machine, en y ajoutant les mêmes extensions que celles présentes sous Firefox. Tout s’est mis alors à fonctionner correctement.

Firefox 100.0.2 incompatible avec le site de la médiathèque numérique de l'Eure

Je ne sais pas dire s’il s’agit d’un bogue ou bien d’une incompatibilité. Je reste attaché à Firefox. J’ai passé au moins deux heures à chercher. Je ne suis pas sûr que tous les utilisateurs aient la même patience. Si ce genre d’incidents venait à se reproduire, je ne suis pas sûr d’avoir la même patience. La conséquence, c’est que j’ai dû installer Chromium sur mon environnement de travail, chose que je me refusais à faire depuis des années.

Quelques éléments

L’erreur se produit à partir de bitmovinplayer.js, un « initiateur » javascript censé lire la vidéo au format DASH le mp4.

GET /drm/84/112/13508798158655/stream.ism/dash/stream-video_eng=1502000-7200000.dash HTTP/1.1
Host: cdn-downloads.ig1-cdn.com
User-Agent: Mozilla/5.0 (Windows NT 10.0; rv:91.0) Gecko/20100101 Firefox/91.0
Accept: */*
Accept-Language: fr-FR
Accept-Encoding: gzip, deflate, br
Referer: https://eure.mediatheques.fr/
Origin: https://eure.mediatheques.fr
DNT: 1
Connection: keep-alive
Sec-Fetch-Dest: empty
Sec-Fetch-Mode: cors
Sec-Fetch-Site: cross-site

Chromium  / Chromium